Not working with FF 16 Rated 5 out of 5 stars

Just tried the new version of FF. POF is marked as incompatible. Normally the Nightly Tools utility works, but this time it didn't. Went back to FF 15 for a few days.

This user has other reviews of this add-on.